//===========================================================================//
// File:	srtskt.cc                                                           //
// Project: MUNGA           Brick: Connection Engine                         //
// Contents: Implementation of sorted socket class                           //
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
// --------  ---  ---------------------------------------------------------- //
// 11/02/94  ECH  Initial coding.                                            //
// 11/03/94  ECH  Made compatible with BC4.0                                 //
// 11/05/94  JMA  Made compatible with GNU C++                               //
// 12/12/94  ECH  Changed release handling											  //
//---------------------------------------------------------------------------//
// Copyright (C) 1994-1995, Virtual World Entertainment, Inc.                //
//                      PROPRIETARY AND CONFIDENTIAL                         //
//===========================================================================//

#include <munga.hpp>
#pragma hdrstop

#if !defined(SRTSKT_HPP)
	#include <srtskt.hpp>
#endif

SortedSocket::SortedSocket(
	Node *node,
	Logical has_unique_entries
):
	SafeSocket(node)
{
	hasUniqueEntries = has_unique_entries;
}

SortedSocket::~SortedSocket()
{
}

void
	SortedSocket::AddValueImplementation(
		Plug*,
		const void*
	)
{
	Fail("SortedSocket::AddValueImplementation - Should never reach here");
}

Plug*
	SortedSocket::FindImplementation(const void*)
{
	Fail("SortedSocket::FindImplementation - Should never reach here");
	return NULL;
}

SortedIterator::SortedIterator(SortedSocket *sortedSocket):
	SafeIterator(sortedSocket)
{
}

SortedIterator::~SortedIterator()
{
}

Plug*
	SortedIterator::FindImplementation(const void*)
{
	Fail("SortedIterator::FindImplementation - Should never reach here");
	return NULL;
}

void*
	SortedIterator::GetValueImplementation()
{
	Fail("SortedIterator::GetValueImplementation - Should never reach here");
	return NULL;
}

